/*
 * 17:08:13 08/03/99
 *
 * MenuAction.java - Interface for menu items
 * Copyright (C) 1999 Romain Guy
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext;

import com.chez.powerteam.jext.*;
import javax.swing.AbstractAction;

public abstract class MenuAction extends AbstractAction
{
  // MenuAction contains all the methods necessary for the menu actions
  // Each menuitem actionlistener of Jext should extends this

  public MenuAction(String name)
  {
    super(name);
  }

  // Return the Jext's text area

  public static JextTextArea getTextArea()
  {
    return Jext.getTextArea();
  }
}

// End of MenuAction.java
