/*
 * 15:08:06 24/03/99
 *
 * SplashScreen.java - WebHunter Splash Screen
 * Thanks to Slava Pestov (jEdit) for this source
 * Copyright (C) 1999 Romain Guy
 * powerteam@chez.com
 * www.chez.com/powerteam
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext;

import java.awt.*;
import java.net.URL;
import javax.swing.*;
import java.awt.event.*;

public class SplashScreen extends JWindow
{
  public SplashScreen()
  {
    getContentPane().setLayout(new BorderLayout());
    getContentPane().setFont(new Font("Monospaced", 0, 14));
    setBackground(Color.lightGray);
    URL url = getClass().getResource("images/splash.gif");
    if (url != null) getContentPane().add("Center",new JLabel(new ImageIcon(url)));
    getContentPane().add("South", new JLabel("v" + Jext.RELEASE + " - (C) 1998-1999 Romain Guy", SwingConstants.CENTER));
    pack();
    Point center = Utilities.getCenterFor(this);
    setLocation(center.x, center.y);
    show();
  }
}

// End of SplahScreen.java
