/*
 * 23:50:09 20/03/99
 *
 * DeleteLine.java
 * Copyright (C) 1999 Romain Guy
 *
 * This	free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext.menus;

import javax.swing.text.Element;
import com.chez.powerteam.jext.*;
import java.awt.event.ActionEvent;
import javax.swing.text.BadLocationException;

public class DeleteLine extends MenuAction
{
  public DeleteLine()
  {
    super("DeleteLine");
  }

  public void actionPerformed(ActionEvent evt)
  {
    JextTextArea textArea = getTextArea();
    try
    {
      Element map = textArea.getDocument().getDefaultRootElement();
      Element lineElement = map.getElement(map.getElementIndex(textArea.getCaretPosition()));
      int start = lineElement.getStartOffset();
      int end = lineElement.getEndOffset();
      if (end == textArea.getLength() + 1) end--;
      textArea.getDocument().remove(start, end - start);
      Jext.updateStatus(textArea.getCaretPosition());
    } catch (BadLocationException ble) { }
  }
}

// End of DeleteLine.java
