/*
 * 22:28:18 25/03/99
 *
 * LookChange.java
 * Copyright (C) 1999 Romain Guy
 *
 * This	free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext.menus;

import javax.swing.JOptionPane;
import com.chez.powerteam.jext.*;
import java.awt.event.ActionEvent;

public class LookChange extends MenuAction
{
  public LookChange()
  {
    super("LookChange");
  }

  public void actionPerformed(ActionEvent evt)
  {
    String values[] = { "Java", "Motif", "System" };
    String look = Jext.getProperty("lookandfeel");
    if (look != null)
    {
      if (look.equals(Jext.METAL))
        look = "Java";
      else if (look.equals(Jext.MOTIF))
        look = "Motif";
      else if (look.equals(Jext.SYSTEM))
        look = "System";
    }
    String response = (String) JOptionPane.showInputDialog(getTextArea().getJextParent(), "Choose a look:", "Look And Feel", JOptionPane.QUESTION_MESSAGE, null, values, look);
    if (response != null)
    {
      if (response.equals("Java"))
        response = Jext.METAL;
      else if (response.equals("Motif"))
        response = Jext.MOTIF;
      else if (response.equals("System"))
        response = Jext.SYSTEM;
      Jext.setProperty("lookandfeel", response);
    }
  }
}

// End of LookChange.java
