/*
 * 17:02:20 17/03/99
 *
 * Open.java
 * Copyright (C) 1999 Romain Guy
 *
 * This	free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext.menus;

import javax.swing.JOptionPane;
import com.chez.powerteam.jext.*;
import java.awt.event.ActionEvent;

public class Open extends MenuAction
{
  public Open()
  {
    super("Open");
  }

  public void actionPerformed(ActionEvent evt)
  {
    if (getTextArea().isDirty() && getTextArea().getLength() > 0)
    {
      int response = JOptionPane.showConfirmDialog(null, "Do you want to save your changes ?", "Save", JOptionPane.YES_NO_CANCEL_OPTION, JOptionPane.QUESTION_MESSAGE);
      switch (response)
      {
        case 0:
          getTextArea().saveContent();
	  break;
	case 1:
	  break;
        case 2:
          return;
	default:
	  return;
      }
    }
    String fileToLoad = Utilities.choosePlace(getTextArea().getJextParent(), Utilities.OPEN);
    if (fileToLoad != null)
    {
      getTextArea().load(fileToLoad);
      getTextArea().requestFocus();
    }
  }
}

// End of Open.java
