/*
 * 16:54:13 17/03/99
 *
 * TabSize.java
 * Copyright (C) 1999 Romain Guy
 *
 * This	free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext.menus;

import javax.swing.JOptionPane;
import com.chez.powerteam.jext.*;
import java.awt.event.ActionEvent;

public class TabSize extends MenuAction
{
  public TabSize()
  {
    super("TabSize");
  }

  public void actionPerformed(ActionEvent evt)
  {
    String values[] = { "2", "4", "8", "16" };
    int size;
    String response = (String) JOptionPane.showInputDialog(getTextArea().getJextParent(), "Choose a size:", "Tab size", JOptionPane.QUESTION_MESSAGE, null, values, Integer.toString(getTextArea().getTabSize()));
    if (response != null)
    {
      try
      {
        size = Integer.parseInt(response);
      } catch (Throwable th) {
        size = 8;
      }
      Jext.setProperty("tabsize", String.valueOf(size));
    }
  }
}

// End of TabSize.java
