/*
 * 16:52:36 17/03/99
 *
 * SaveDelay.java
 * Copyright (C) 1999 Romain Guy
 *
 * This	free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext.menus;

import javax.swing.JOptionPane;
import com.chez.powerteam.jext.*;
import java.awt.event.ActionEvent;

public class SaveDelay extends MenuAction
{
  public SaveDelay()
  {
    super("SaveDelay");
  }

  public void actionPerformed(ActionEvent evt)
  {
    int delay;
    String response = (String) JOptionPane.showInputDialog(getTextArea().getJextParent(), "Enter a delay (seconds):", "Auto Save Delay", JOptionPane.QUESTION_MESSAGE, null, null, Jext.getProperty("autosavedelay"));
    if (response != null)
    {
      try
      {
        delay = Integer.parseInt(response);
      } catch (Throwable th) { delay = 60; }
      AutoSave.setInterval(delay);
      Jext.setProperty("autosavedelay", Integer.toString(delay));
    }
  }
}

// End of SaveDelay.java
