/*
 * 20:16:02 12/03/99
 *
 * WrapStyleChar.java
 * Copyright (C) 1999 Romain Guy
 *
 * This	free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.jext.menus;

import com.chez.powerteam.jext.*;
import java.awt.event.ActionEvent;
import javax.swing.JRadioButtonMenuItem;

public class WrapStyleChar extends MenuAction
{
  public WrapStyleChar()
  {
    super("WrapStyleChar");
  }

  public void actionPerformed(ActionEvent evt)
  {
    if (((JRadioButtonMenuItem) evt.getSource()).isSelected())
      getTextArea().setWrapStyleWord(false);
    else
      getTextArea().setWrapStyleWord(true);
  }
}

// End of WrapStyleChar.java
